Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] community/rsound: move from testing/

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 22 Nov 2015 23:59:31 +0100

---
 community/rsound/APKBUILD      | 80 ++++++++++++++++++++++++++++++++++++++++++
 community/rsound/pidfile.patch | 12 +++++++
 community/rsound/rsound.confd  |  2 ++
 community/rsound/rsound.initd  | 12 +++++++
 testing/rsound/APKBUILD        | 80 ------------------------------------------
 testing/rsound/pidfile.patch   | 12 -------
 testing/rsound/rsound.confd    |  2 --
 testing/rsound/rsound.initd    | 12 -------
 8 files changed, 106 insertions(+), 106 deletions(-)
 create mode 100644 community/rsound/APKBUILD
 create mode 100644 community/rsound/pidfile.patch
 create mode 100644 community/rsound/rsound.confd
 create mode 100644 community/rsound/rsound.initd
 delete mode 100644 testing/rsound/APKBUILD
 delete mode 100644 testing/rsound/pidfile.patch
 delete mode 100644 testing/rsound/rsound.confd
 delete mode 100644 testing/rsound/rsound.initd
diff --git a/community/rsound/APKBUILD b/community/rsound/APKBUILD
new file mode 100644
index 0000000..000c9f2
--- /dev/null
+++ b/community/rsound/APKBUILD
_at_@ -0,0 +1,80 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=rsound
+_realname=RSound
+pkgver=1.1
+pkgrel=3
+pkgdesc="A multi-platform, simple PCM audio server and client"
+url="https://github.com/Themaister/RSound"
+arch="all"
+license="GPLv3"
+depends=""
+depends_dev="alsa-lib-dev libsamplerate-dev portaudio-dev libao-dev jack-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-libs $pkgname-doc $pkgname-client $pkgname-server"
+source="$pkgname-$pkgver.tar.gz::https://github.com/Themaister/${_realname}/archive/v${pkgver}.tar.gz
+	$pkgname.initd
+	$pkgname.confd
+	pidfile.patch"
+
+_builddir="$srcdir"/$_realname-$pkgver
+prepare() {
+	cd "$_builddir"
+	local i
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	# The rsound install rule doesn't create non-existent directories.
+	mkdir -p "$pkgdir"/usr/lib "$pkgdir"/usr/share/man/man1 \
+		"$pkgdir"/usr/lib/pkgconfig "$pkgdir"/usr/include
+
+	make DESTDIR="$pkgdir" -C "$_builddir" install || return 1
+	for doc in DOCUMENTATION ChangeLog AUTHORS INSTALL README; do
+		install -Dm644 "$_builddir"/$doc \
+			"$pkgdir"/usr/share/doc/$pkgname/$doc || return 1
+	done
+}
+
+client() {
+	pkgdesc="$pkgdesc (client)"
+	mkdir -p "$subpkgdir"/usr/bin/
+	mv "$pkgdir"/usr/bin/rsdplay \
+		"$subpkgdir"/usr/bin/ || return 1
+}
+
+server() {
+	pkgdesc="$pkgdesc (server)"
+	mkdir -p "$subpkgdir"/usr/bin/
+	mv "$pkgdir"/usr/bin/rsd \
+		"$subpkgdir"/usr/bin/ || return 1
+
+	install -Dm755 "$srcdir"/$pkgname.initd \
+		"$subpkgdir"/etc/init.d/$pkgname || return 1
+	install -Dm644 "$srcdir"/$pkgname.confd \
+		"$subpkgdir"/etc/conf.d/$pkgname || return 1
+}
+
+md5sums="d416ecd6d1ca39af78c7626ed1b3833e  rsound-1.1.tar.gz
+5dc7acd4b5be0db2e8594ebdc24e4273  rsound.initd
+13f8fe7bc04486353b0362aa4359ea72  rsound.confd
+25f590f29453d7b28e5c3e23bb7d42e1  pidfile.patch"
+sha256sums="dd4e32467360c5b49603da9f48bb4e69e4da4f60863a576a9df797091820faf3  rsound-1.1.tar.gz
+5d915c1d78b3527a44c5f62c708006e1a52b2f7087e8d0ff1dbf6d5b9d304a69  rsound.initd
+f2bfd7a1e954315b4828eceef4c01393e7eb1b4d4f6c36166dc292afac307835  rsound.confd
+9a24f4f3a7f2b60462231fd00c24015d251f5b6815e6eebaa168591263e587ee  pidfile.patch"
+sha512sums="1f55bd1c9cab03cb844ca9d3d4a60413421f20d2a2432e1eff7a55ef662842aa6bb23913e3dcb490b6186feff4ddc462d499db7c45639688398ec42912bce252  rsound-1.1.tar.gz
+5047ca28666e6f4700659ccd1dd72dfed70146edccbece2fd529653c8c9b82057f0c7cf47233ebd5f9aa5c3cea0f0313f26c61ba0b4ae9db540ffe06a0acc1f8  rsound.initd
+4b07a8a04bae9f127f3b362ccb867041139193a73e83051055c783722bbc515d045b9ea3814f91352af20f314b0b8f1b768dc39d8d0f4ef47a6b50e288f9b38d  rsound.confd
+aef6a2fc2f0c6f71f3fcd424d131bcd1a73ff8c451fc18a496341ff5c1a403d9e351e0f1555c46ae23529f4710b1af65abef88b2cc43e23f978cc84318e92197  pidfile.patch"
diff --git a/community/rsound/pidfile.patch b/community/rsound/pidfile.patch
new file mode 100644
index 0000000..26b10e3
--- /dev/null
+++ b/community/rsound/pidfile.patch
_at_@ -0,0 +1,12 @@
+diff -upr RSound-1.1.orig/src/rsound-common.c RSound-1.1/src/rsound-common.c
+--- RSound-1.1.orig/src/rsound-common.c	2015-11-22 03:25:55.595163404 +0100
++++ RSound-1.1/src/rsound-common.c	2015-11-22 03:26:56.161613187 +0100
+_at_@ -49,7 +49,7 @@
+ 
+ 
+ /* Not really portable, need to find something better */
+-#define PIDFILE "/tmp/.rsound.pid"
++#define PIDFILE "/var/run/rsound.pid"
+ 
+ /* Pulls in callback structs depending on compilation options. */
+ 
diff --git a/community/rsound/rsound.confd b/community/rsound/rsound.confd
new file mode 100644
index 0000000..83c2061
--- /dev/null
+++ b/community/rsound/rsound.confd
_at_@ -0,0 +1,2 @@
+# Options to pass to rsound at startup.
+RSOUND_OPTS="-L"
diff --git a/community/rsound/rsound.initd b/community/rsound/rsound.initd
new file mode 100644
index 0000000..d8fef6d
--- /dev/null
+++ b/community/rsound/rsound.initd
_at_@ -0,0 +1,12 @@
+#!/sbin/openrc-run
+
+name="rsound daemon"
+command="/usr/bin/rsd"
+command_args="-D $RSOUND_OPTS"
+pidfile="/var/run/$SVCNAME.pid"
+
+depend() {
+	need net
+	use esound
+	after firewall
+}
diff --git a/testing/rsound/APKBUILD b/testing/rsound/APKBUILD
deleted file mode 100644
index 000c9f2..0000000
--- a/testing/rsound/APKBUILD
+++ /dev/null
_at_@ -1,80 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
-# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
-pkgname=rsound
-_realname=RSound
-pkgver=1.1
-pkgrel=3
-pkgdesc="A multi-platform, simple PCM audio server and client"
-url="https://github.com/Themaister/RSound"
-arch="all"
-license="GPLv3"
-depends=""
-depends_dev="alsa-lib-dev libsamplerate-dev portaudio-dev libao-dev jack-dev"
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-dev $pkgname-libs $pkgname-doc $pkgname-client $pkgname-server"
-source="$pkgname-$pkgver.tar.gz::https://github.com/Themaister/${_realname}/archive/v${pkgver}.tar.gz
-	$pkgname.initd
-	$pkgname.confd
-	pidfile.patch"
-
-_builddir="$srcdir"/$_realname-$pkgver
-prepare() {
-	cd "$_builddir"
-	local i
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure --prefix=/usr || return 1
-	make || return 1
-}
-
-package() {
-	# The rsound install rule doesn't create non-existent directories.
-	mkdir -p "$pkgdir"/usr/lib "$pkgdir"/usr/share/man/man1 \
-		"$pkgdir"/usr/lib/pkgconfig "$pkgdir"/usr/include
-
-	make DESTDIR="$pkgdir" -C "$_builddir" install || return 1
-	for doc in DOCUMENTATION ChangeLog AUTHORS INSTALL README; do
-		install -Dm644 "$_builddir"/$doc \
-			"$pkgdir"/usr/share/doc/$pkgname/$doc || return 1
-	done
-}
-
-client() {
-	pkgdesc="$pkgdesc (client)"
-	mkdir -p "$subpkgdir"/usr/bin/
-	mv "$pkgdir"/usr/bin/rsdplay \
-		"$subpkgdir"/usr/bin/ || return 1
-}
-
-server() {
-	pkgdesc="$pkgdesc (server)"
-	mkdir -p "$subpkgdir"/usr/bin/
-	mv "$pkgdir"/usr/bin/rsd \
-		"$subpkgdir"/usr/bin/ || return 1
-
-	install -Dm755 "$srcdir"/$pkgname.initd \
-		"$subpkgdir"/etc/init.d/$pkgname || return 1
-	install -Dm644 "$srcdir"/$pkgname.confd \
-		"$subpkgdir"/etc/conf.d/$pkgname || return 1
-}
-
-md5sums="d416ecd6d1ca39af78c7626ed1b3833e  rsound-1.1.tar.gz
-5dc7acd4b5be0db2e8594ebdc24e4273  rsound.initd
-13f8fe7bc04486353b0362aa4359ea72  rsound.confd
-25f590f29453d7b28e5c3e23bb7d42e1  pidfile.patch"
-sha256sums="dd4e32467360c5b49603da9f48bb4e69e4da4f60863a576a9df797091820faf3  rsound-1.1.tar.gz
-5d915c1d78b3527a44c5f62c708006e1a52b2f7087e8d0ff1dbf6d5b9d304a69  rsound.initd
-f2bfd7a1e954315b4828eceef4c01393e7eb1b4d4f6c36166dc292afac307835  rsound.confd
-9a24f4f3a7f2b60462231fd00c24015d251f5b6815e6eebaa168591263e587ee  pidfile.patch"
-sha512sums="1f55bd1c9cab03cb844ca9d3d4a60413421f20d2a2432e1eff7a55ef662842aa6bb23913e3dcb490b6186feff4ddc462d499db7c45639688398ec42912bce252  rsound-1.1.tar.gz
-5047ca28666e6f4700659ccd1dd72dfed70146edccbece2fd529653c8c9b82057f0c7cf47233ebd5f9aa5c3cea0f0313f26c61ba0b4ae9db540ffe06a0acc1f8  rsound.initd
-4b07a8a04bae9f127f3b362ccb867041139193a73e83051055c783722bbc515d045b9ea3814f91352af20f314b0b8f1b768dc39d8d0f4ef47a6b50e288f9b38d  rsound.confd
-aef6a2fc2f0c6f71f3fcd424d131bcd1a73ff8c451fc18a496341ff5c1a403d9e351e0f1555c46ae23529f4710b1af65abef88b2cc43e23f978cc84318e92197  pidfile.patch"
diff --git a/testing/rsound/pidfile.patch b/testing/rsound/pidfile.patch
deleted file mode 100644
index 26b10e3..0000000
--- a/testing/rsound/pidfile.patch
+++ /dev/null
_at_@ -1,12 +0,0 @@
-diff -upr RSound-1.1.orig/src/rsound-common.c RSound-1.1/src/rsound-common.c
---- RSound-1.1.orig/src/rsound-common.c	2015-11-22 03:25:55.595163404 +0100
-+++ RSound-1.1/src/rsound-common.c	2015-11-22 03:26:56.161613187 +0100
-_at_@ -49,7 +49,7 @@
- 
- 
- /* Not really portable, need to find something better */
--#define PIDFILE "/tmp/.rsound.pid"
-+#define PIDFILE "/var/run/rsound.pid"
- 
- /* Pulls in callback structs depending on compilation options. */
- 
diff --git a/testing/rsound/rsound.confd b/testing/rsound/rsound.confd
deleted file mode 100644
index 83c2061..0000000
--- a/testing/rsound/rsound.confd
+++ /dev/null
_at_@ -1,2 +0,0 @@
-# Options to pass to rsound at startup.
-RSOUND_OPTS="-L"
diff --git a/testing/rsound/rsound.initd b/testing/rsound/rsound.initd
deleted file mode 100644
index d8fef6d..0000000
--- a/testing/rsound/rsound.initd
+++ /dev/null
_at_@ -1,12 +0,0 @@
-#!/sbin/openrc-run
-
-name="rsound daemon"
-command="/usr/bin/rsd"
-command_args="-D $RSOUND_OPTS"
-pidfile="/var/run/$SVCNAME.pid"
-
-depend() {
-	need net
-	use esound
-	after firewall
-}
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Nov 22 2015 - 23:59:31 GMT